Subject: Re: [PATCH 01/10] Preparatory refactoring part 1.

From: Patrick McHardy <[email-masked]>
Date: Tue, 02 Oct 2007 05:17:06 +0200

Corey Hickey wrote:
> Patrick McHardy wrote:
> 
>>> -    sch->qstats.drops++;
>>
>> A line in the changelog explaining that this was increased twice
>> would have been nice.
> 
> 
> Certainly; I think I didn't realize, when you originally pointed out the
> duplicate incrementing, that it was a bug in the original version and
> not in my patch. Otherwise, I would have sent it as a separate patch.

I didn't remember that :)

> If a note in this patch will suffice, though, I'll definitely do so.

Sure, a note in the changelog will be fine.

>>> +static struct
>>> +sk_buff *sfq_q_dequeue(struct sfq_sched_data *q)
>>
>>
>>
>> What is this function needed for?
> 
> 
> It gets used in sfq_change for moving packets from the old queue into
> the new one. In this case, we don't want to modify sch->q.qlen or
> sch->qstats.backlog, since those don't actually change.
> 
>          while ((skb = sfq_q_dequeue(q)) != NULL)
>                  sfq_q_enqueue(skb, &tmp, SFQ_TAIL);

I missed that, thanks for the explanation.